#include "lib/std.mi"

Global Group FrameGroup;
Global Slider CFStatus;
Global Text CFText;
Global Button CFInc;
Global Button CFDec;

System.onScriptLoaded() {
	frameGroup = getScriptGroup();
	CFStatus = frameGroup.findObject("Crossfade.Status");
	CFText = frameGroup.findObject("Crossfade.Display");
	CFInc = frameGroup.findObject("Crossfade.Increase");
	CFDec = frameGroup.findObject("Crossfade.Decrease");
        CFText.setText(IntegerToString(CFStatus.getPosition()));
}

CFStatus.onSetPosition(int val) {
	String s = IntegerToString(val);
	CFText.setText(s);
}

CFDec.onLeftClick() {
	CFStatus.SetPosition(CFStatus.getPosition()-1);
}

CFInc.onLeftClick() {
	CFStatus.SetPosition(CFStatus.getPosition()+1);
}